libzypp: zypp::ZYppCommitResult::Impl Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
zypp::ZYppCommitResult::Impl Class Reference

## Public Member Functions
| Impl ()

## Public Attributes
Pathname | _root
FalseBool | _attemptToModify
FalseBool | _singleTransactionMode
sat::Transaction | _transaction
TransactionStepList | _transactionStepList
UpdateNotifications | _updateMessages

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 28 of file ZYppCommitResult.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::ZYppCommitResult::Impl::Impl | ( |  | ) |
| inline

Definition at line 31 of file ZYppCommitResult.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::ZYppCommitResult::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 45 of file ZYppCommitResult.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _root

Pathname zypp::ZYppCommitResult::Impl::_root

Definition at line 35 of file ZYppCommitResult.cc.

## ◆ _attemptToModify

FalseBool zypp::ZYppCommitResult::Impl::_attemptToModify

Definition at line 36 of file ZYppCommitResult.cc.

## ◆ _singleTransactionMode

FalseBool zypp::ZYppCommitResult::Impl::_singleTransactionMode

Definition at line 37 of file ZYppCommitResult.cc.

## ◆ _transaction

sat::Transaction zypp::ZYppCommitResult::Impl::_transaction

Definition at line 38 of file ZYppCommitResult.cc.

## ◆ _transactionStepList

TransactionStepList zypp::ZYppCommitResult::Impl::_transactionStepList

Definition at line 39 of file ZYppCommitResult.cc.

## ◆ _updateMessages

UpdateNotifications zypp::ZYppCommitResult::Impl::_updateMessages

Definition at line 40 of file ZYppCommitResult.cc.

The documentation for this class was generated from the following file:

- zypp/ZYppCommitResult.cc